
QGIS Application - Bug report #973

Georeferencer - right-clicking in "delete point" mode behave incorrectly and crashes

2008-03-05 09:30 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11032

Description

Load attached JPG with attached points.

Choose remove point button (also created by QGIS and definitely not right, will send as another bug later).

First bug:

Right-click on 0,0 point - for some reason point 104,52 removed (I know right click is not supposed to remove points, but this is still

incorrect behavior).

Second bug:

Keep right-clicking anywhere on the map - QGIS crashes.

See attachements.

History

#1 - 2008-03-05 09:36 PM - Maxim Dubinin

can't find how to edit the ticket, that I've submitted

Trac didn't let me upload the map (4Mb file), in case you need it, it is here:

http://gis-lab.info/share/N-48-XXVI.JPG

#2 - 2008-10-18 11:39 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

The crash and deleting wrong one points was fixed with #1255 ().

Using only [[LeftButton]] was added in commit:53a9addd (SVN r9492).

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

bug-report.zip 23.6 KB 2008-03-05 Maxim Dubinin

N-48-XXVI.JPG.points 169 Bytes 2008-03-05 Maxim Dubinin
